#ifndef QBOOKBROWSER_H
#define QBOOKBROWSER_H

#include <eb/eb.h>
#include <stdio.h>
#include <stdlib.h>
#include <qtextbrowser.h>

// hack from qtjiten.
// original from  http://lists.trolltech.com/qt-interest/2001-06/msg00992.html
class QBookBrowser : public QTextBrowser
{
  Q_OBJECT
public:
  QBookBrowser (QWidget *parent, const char *name);
protected:
  void setSource (const QString &);
  void viewportMousePressEvent (QMouseEvent*);
  void viewportMouseMoveEvent (QMouseEvent*);
signals:
  void goTo(EB_Position);
  void playSound(int);
};

#endif /* QBOOKBROWSER_H */
