#include <stdlib.h>
#include "qbookitem.h"

QBookItem::QBookItem (QListView *parent)
  : QListViewItem (parent)
{
  checked = FALSE;
  path = NULL;
  extension = NULL;
  appendix = NULL;
}

QBookItem::~QBookItem ()
{
  if (path)
    free ((void *)path);
  if (extension)
    free ((void *)extension);
  if (appendix)
    free ((void *)appendix);
}

QBookCheckItem::QBookCheckItem (QListView *parent, const QString &name, Type type)
  : QCheckListItem (parent, name, type)
{
}

QBookCheckItem::~QBookCheckItem ()
{
  free ((void *)path);
}
