#ifndef ZTENBOOK_H
#define ZTENBOOK_H
#include <qtextcodec.h>
#include "ztenbookbase.h"
#include "qbookitem.h"
#ifdef QTAPP
class QListBoxItem;
#endif

class QPixmap;

class ZtenBook : public ZtenBookBase
{
  Q_OBJECT
public:
  ZtenBook (QWidget* parent = 0, const char *name = 0, bool modal = FALSE, WFlags fl = 0);
  ~ZtenBook ();
  void addSelectedBook (QBookCheckItem *item);
private:
  QTextCodec *codec;
  QBookItem *searchBook (const char *path, const char *book, int sub_pos);
  void collectBooks ();
  //protected:
  //  void resizeEvent (QResizeEvent* e);  
protected slots:
  virtual void accept ();
  void add ();
  void del ();
};

#endif // ZTENBOOK_H
